//+------------------------------------------------------------------+
//|                                                      MA_Test.mq4 |
//|                                   copyright 2015 Tor NielsenTest |
//|                                            tor.ask@gmail.comTest |
//+------------------------------------------------------------------+
#property copyright "copyright 2015 Tor NielsenTest"
#property link      "tor.ask@gmail.comTest"
#property version   "1.00"
#property strict

//--- Moving Average Band Input Parameters ---

extern string MOVING_AVERAGE_BAND_PARAMETERS = "Here below enter moving average parameters";
extern int MA_Period= 12;
extern int MA_Shift = 0;
extern int MA_Method= 0;
extern int MA_Applied_To=0;
extern int Vertical_Shift_Up = 130;
extern int Vertical_Shift_Down = -130;

//--- Trade Input Parameters ---

extern string TRADE_PARAMETERS = "Here below enter trade parameters";
extern int TakeProfit = 150;
extern int StopLoss = 100;
extern double LotSize = 0.01;

//--- Trade Global Parameters ---

string     MagicNumber_Short="Short on EUR/USD";
string     MagicNumber_Long ="Long on EUR/USD";

//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
//---


//---
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
//---
   
  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
int start()
 {

//--- Moving Average + Band Variables ---

     double MA_Central_Line = iMA(NULL,0,MA_Period,MA_Shift,MA_Method,MA_Applied_To,0);
     double MA_Upper_Band = iMA(NULL,0,MA_Period,MA_Shift,MA_Method,MA_Applied_To,0)+Vertical_Shift_Up*Point;
     double MA_Lower_Band = iMA(NULL,0,MA_Period,MA_Shift,MA_Method,MA_Applied_To,0)+Vertical_Shift_Down*Point;
      
     //Moving Average Applied---

//--- Sell Trade Functionality ---

   if(Bid>=MA_Upper_Band)
   
      if(OrdersTotal()==0)
     
        
        OrderSend(Symbol(),OP_SELL,LotSize,Bid,2,Bid+(StopLoss*Point),Bid-(TakeProfit*Point),"Short on the EUR/USD",MagicNumber_Short,Red);
        
          
//--- Buy Trade Functionality---

   if (Ask<=MA_Lower_Band)
   
    if(OrdersTotal()==0)
     
       OrderSend(Symbol(),OP_BUY,LotSize,Ask,2,Ask-(StopLoss*Point),Ask+(TakeProfit*Point),"Long on the EUR/USD",MagicNumber_Long,Green);
       
//--- End of Trade Functionality ---

 return(0);
 
 
 }
//+------------------------------------------------------------------+
